Bug 1410674 - qemu: Remove unnecessary EHCI implementation for Power
Summary: qemu: Remove unnecessary EHCI implementation for Power
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: ppc64le
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: David Gibson
QA Contact: Xujun Ma
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1386113 1436054
TreeView+ depends on / blocked
 
Reported: 2017-01-06 04:29 UTC by David Gibson
Modified: 2017-08-02 03:17 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.8.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1436054 (view as bug list)
Environment:
Last Closed: 2017-08-01 23:42:15 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Bugzilla 1439147 None CLOSED migration completed but dst host prompt "qemu-kvm: Unknown savevm section or instance 'pci@800000020000000:06.0/ehci' 0" 2019-02-22 09:12 UTC

Internal Trackers: 1439147

Description David Gibson 2017-01-06 04:29:44 UTC
Description of problem:

The Power build of qemu, like the x86 build, includes the EHCI USB controller. The EHCI is not terribly well tested on Power - neither the qemu emulation nor the guest side driver.  We've hit some problems with EHCI in the past which have gone away with XHCI.  In particular EHCI's expectation of a companion controller for USB1 devices adds a bunch of extra confusion and complication.

There's really no reason to ever use an EHCI instead of an XHCI on Power guests, so to reduce dev and test workload, remove the EHCI controller from qemu-kvm-rhev.

Comment 1 Miroslav Rezanina 2017-01-16 12:16:43 UTC
Fix included in qemu-kvm-rhev-2.8.0-2.el7

Comment 3 Xujun Ma 2017-04-24 10:26:09 UTC
List usb controller in qemu-kvm-rhev-2.6.0-28.el7_3.9.ppc64le
/usr/libexec/qemu-kvm -device help
USB devices:
name "ich9-usb-ehci1", bus PCI
name "ich9-usb-ehci2", bus PCI
name "nec-usb-xhci", bus PCI
name "pci-ohci", bus PCI, desc "Apple USB Controller"
name "sysbus-ohci", bus System, desc "OHCI USB Controller"
name "usb-ehci", bus PCI

List usb controller in qemu-kvm-rhev-2.9.0-1.el7.ppc64le
USB devices:
name "nec-usb-xhci", bus PCI
name "pci-ohci", bus PCI, desc "Apple USB Controller"
name "qemu-xhci", bus PCI
name "sysbus-ohci", bus System, desc "OHCI USB Controller"

Try to run qemu cmdline with ehci controller with qemu-kvm-rhev-2.9.0-1.el7.ppc64le
[root@ibm-p8-kvm-02-qe xuma]# /usr/libexec/qemu-kvm -device ich9-usb-ehci1
qemu-kvm: -device ich9-usb-ehci1: 'ich9-usb-ehci1' is not a valid device model name
[root@ibm-p8-kvm-02-qe xuma]# /usr/libexec/qemu-kvm -device ich9-usb-ehci2
qemu-kvm: -device ich9-usb-ehci2: 'ich9-usb-ehci2' is not a valid device model name
[root@ibm-p8-kvm-02-qe xuma]# /usr/libexec/qemu-kvm -device usb-ehci
qemu-kvm: -device usb-ehci: 'usb-ehci' is not a valid device model name

Base results above ,the ehci controllers have been remove from qemu-2.9.

Comment 5 errata-xmlrpc 2017-08-01 23:42:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 6 errata-xmlrpc 2017-08-02 01:19:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 7 errata-xmlrpc 2017-08-02 02:11:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 8 errata-xmlrpc 2017-08-02 02:52:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 9 errata-xmlrpc 2017-08-02 03:17:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.